Publicada la versión 3.3.0 de Joomla!

Modificado por última vez en Lunes, 21 Julio 2014 22:22
(0 votos)

Publicada la versión 3.3.0 de Joomla!

Instrucciones para las actualizaciones y descarga de los nuevos paquetes Joomla 3.3.0 y 3.2.4

El equipo del Proyecto Joomla! y el Equipo de Liderazgo de Producción han anunciado hoy el lanzamiento de las versiones Joomla! 3.2.4 y 3.3, los últimos lanzamientos de la serie 3.x.

Si actualmente está ejecutando Joomla! 3.2 en un servidor con PHP 5.3.10 o posterior, se anima a actualizar inmediatamente a Joomla! 3.3 ya sea a través de la actualización de un solo clic o descargando las actualizaciones disponibles en http://www.joomla.org/download.html. Para los sitios en servidores con una versión de PHP menor que 5.3.10, 3.2.4 es la versión que se debe descargar. Para otras versiones de la serie 3.x, la aplicación de la actualización se recomienda tan pronto como sea posible.

Aviso de actualización a Joomla 3.2.4

Hay que tener en cuenta que para actualizar directamente a 3.3 a través del componente de actualización del núcleo, se debe estar ejecutando 3.2.2 o posterior, debido a la mínima versión PHP admitida, y el sistema de actualización no soporta comprobar la versión de PHP del servidor en versiones previas. Para versiones 3.x más antiguas se pedirá que se actualice a 3.2.4 antes de ser presentada la actualización 3.3.

¿Qué hay en la versión 3.3?

La versión 3.3 introduce nuevas características en el CMS, tales como la mejora de la clave de hash y los microdatos y optimiza el código con mejoras en el rendimiento del sistema de enrutamiento y la conversión continua de MooTools JavaScript en base a jQuery.

Gracias a la ardua labor de más de 40 diferentes colaboradores voluntarios, también se han resuelto más de 115 bugs con la versión 3.3 de Joomla! CMS.

Ver http://developer.joomla.org/version-3-3-0-release-notes.html para los detalles de los elementos del Registro solucionados.

El objetivo del Equipo de Liderazgo de producción es continuar proporcionando actualizaciones regulares y frecuentes a la comunidad Joomla. Obtén más información sobre el desarrollo Joomla! en el Joomla! Developer Network .

Descargas

Nuevas instalaciones: Haz clic aquí para descargar Joomla! 3.3.0 (Paquete completo)
Nuevas instrucciones de instalación y requisitos técnicos

Paquete de actualización: Haz clic aquí para descargar Joomla! 3.3.0 (Paquete de actualización)
Nota: Por favor, lee las instrucciones de actualización antes de actualizar.
No olvides limpiar la caché del navegador después de la actualización.

Paquete 3.2.4: Haz clic aquí para descargar Joomla! 3.2.4 (Paquete de actualización)
Nota: Este paquete sólo se recomienda para los sitios en los servidores que ejecutan versiones de PHP 5.3.1 hasta 5.3.9; Se anima a los usuarios de 5.3.10 o posterior actualizar a 3.3.

Errores de actualización

En dos de los sitios con Joomla 3.2.3 al actualizar con un clic a la versión 3.2.4 me ha salido el ERROR: Invalid login (no en este de Somos apañados) por lo que no me ha quedado más remedio que subir manualmente por FTP el paquete de actualización de Joomla 3.2.3 a Joomla 3.2.4 y luego en el Gestor de extensiones --> Base de datos corregir el error.

ERROR: Invalid login

Poco después de actualizar manualmente a la versión 3.2.4 aparece el mensaje de actualización a la versión 3.3:

Aviso actualización a Joomla 3.3

Pero si nos fijamos el paquete el .zip que nos proporciona Joomla sigue siendo la actualización de Joomla 3.2.3 a Joomla 3.2.4 : Joomla_3.2.3_to_3.2.4-Stable-Patch_Package.zip

Actualización a Joomla 3.3 errónea

La solución que dan en el foro de Joomla es instalar la versión 3.3.0 desde esta URL: http://joomlacode.org/gf/download/frsrelease/19394/158837/Joomla_3.3.0-Stable-Update_Package.zip desde Extensiones --> Gestor de extensiones --> Instalar --> Instalar desde una URL

En los dos sitios que me daban antes error ahora me da el siguiente: Copy file failed

Copy file failed

ATENCION PELIGRO: En este sitio me da error: Your host needs to use PHP 5.3.10 or higher to run this version of Joomla! y se me ha bloqueado el el Back-end y el Front-end.

La solución ha sido subir por FTP la actualización de Joomla 3.2.3 a Joomla 3.2.4 (La actualización a 3.3 escribe los archivos antes de comprobar la versión de PHP y el sitio se queda fuera de línea). Pero aunque el Front-end su está en línea, en el Panel de Administración me da error 500 Presentación no encontrada al querer editar atículos, módulos o plugins.

Presentación no encontrada

Actualización: La solución ha pasado por descargar la versión de Joomla 3.2.4 desde http://joomlacode.org/gf/project/joomla/frs/?action=index , descomprimir el paquete y subirlo por FTP. También hay que corregir la tabla _schemas de la base de datos pues si no fijamos en Extensiones --> Gestor de extensiones --> Base de datos nos aparece lo siguiente:

    Versión del esquema de la base de datos (en '#__schemas'): 3.3.0-2014-04-02.
    Actualizar versión (en #__extensions): 3.2.4.
    Controlador de la base de datos: mysql.
    83 cambios en la base de datos se han comprobado correctamente.
    138 cambios en la base de datos no han alterado el esquema de las tablas y se han saltado.

tabla schemas de la base de datos

Cuando debería aparecer 3.2.3-2014-02-20 que es la última versión que teníamos instalada. Así que deberemos poner en la tabla el valor anterior.

Si os pasa esto hay que subir todo el paquete, no vale sólo con la actualización de 3.2.3 a 3.2.4 ya que hay archivos que al actualizar a Joomla 3.3 no están el la actualización y pertenecen a esta última versión, con lo cual se produce el error.

Así que antes de actualizar de Joomla 3.2.4 a 3.3 comprobar que vuestra versión de PHP es superior a la 5.3.10.


Comentarios (1)

This comment was minimized by the moderator on the site

Muchas gracias por la solucion :)
------------
La solución que dan en el foro de Joomla es instalar la versión 3.3.0 desde esta URL:
desde Extensiones --> Gestor de extensiones --> Instalar --> Instalar desde una URL

---------------------------...

Muchas gracias por la solucion :)
------------
La solución que dan en el foro de Joomla es instalar la versión 3.3.0 desde esta URL:
desde Extensiones --> Gestor de extensiones --> Instalar --> Instalar desde una URL

---------------------------------------------------

Leer más
Comentario editado por última vez entre hace cerca de 4 años y Super User Super User
No hay comentarios escritos aquí

Deja tus comentarios

  1. Publicar comentario como invitado. Regístrate o ingresaa tu cuenta
Archivos adjuntos (0 / 3)
Compartir su ubicación
close

Recibe gratis nuestros nuevos artículos!

Serás el primero en conocer las novedades y noticias que pasan en Internet, nuestros tutoriales, trucos y más.

Escribe tu email:

Se abrirá una nueva ventana deFeedBurner a la izquierda de la página y habrás de validar un Captcha.

Lee nuestras Política de privacidad & Política de cookies
Puedes darte de baja de la lista de correo electrónico en cualquier momento